
/* CAUTION: This is the ANSI C (only) version of the Numerical Recipes
   utility file nrutil.h.  Do not confuse this file with the same-named
   file nrutil.h that is supplied in the 'misc' subdirectory.
   *That* file is the one from the book, and contains both ANSI and
   traditional K&R versions, along with #ifdef macros to select the
   correct version.  *This* file contains only ANSI C.               */

#ifndef _NR_UTILS_H_
#define _NR_UTILS_H_

/* #define SIGN(a,b) ((b) >= 0.0 ? fabs(a) : -fabs(a)) */

void nrerror(const char *error_text);
int      *ivector(long nl, long nh); 
double   *dvector(long nl, long nh);
double  **dmatrix(long nrl, long nrh, long ncl, long nch);
int     **imatrix(long nrl, long nrh, long ncl, long nch);
void free_ivector(int *v, long nl, long nh); 
void free_dvector(double *v, long nl, long nh);
void free_dmatrix(double **m, long nrl, long nrh, long ncl, long nch);
void free_imatrix(int **m, long nrl, long nrh, long ncl, long nch);

#endif /* _NR_UTILS_H_ */
